ownCloud updating Possible CSRF attack. Connection will be closed

I am trying to update ownCloud but seem to be getting a permission error:

Possible CSRF attack. Connection will be closed.

Any ideas on how I can fix this?

Tagged:

Comments

  • Have you tried running the update through SSH with the following command:

    ./occ upgrade

  • Okay thanks, yes I just tried that and it kicked back this error:

    -bash: ./occ: Permission denied

  • Ohh if you're trying to run that (if it's a script or something) it has to have the executable bit set.

    occ appears to be a php script though so you'd have to do something like php -f occ from the command line I believe

  • So what commands do you recommend running?

  • If you login as root, sudo to the user who is updating:

    sudo su - username

    Then locate directory

    cd /home/public_html/owncloud/

    Then the update:

    php -f ./occ upgrade

  • Thank you. I seemed to run now but showing this error:

    Repair warning: You have incompatible or missing apps enabled that could not be found or updated via the marketplace.
    2017-10-10T14:28:41+00:00 Repair warning: Please install or update the following apps manually or disable them with:
    occ app:disable activity
    occ app:disable files_pdfviewer
    occ app:disable files_texteditor
    occ app:disable gallery
    2017-10-10T14:28:41+00:00 Repair warning: For manually updating, see https://doc.owncloud.org/server/10.0/go.php?to=admin-marketplace-apps
    2017-10-10T14:28:41+00:00 OC\RepairException: Upgrade is not possible
    2017-10-10T14:28:41+00:00 Update failed
  • That sounds more like an issue with their update process and those apps need to be updated manually like it says before can update the core....odd

  • How can I disable those apps?

  • php -f occ app:disable activity

  • Perfect thank you!

Sign In or Register to comment.